TechDraw "Вставить Вид"

From FreeCAD Documentation
Revision as of 20:56, 13 March 2017 by FuzzyBot (talk | contribs) (Updating to match new version of source page)

TechDraw NewView

Системное название
TechDraw NewView
Расположение в меню
TechDraw → View
Верстаки
TechDraw
Быстрые клавиши
na
Представлено в версии
-
См. также
Нет

Description

The View tool adds a representation of a Part to a Drawing page. This is the basic building block of the TechDraw module. Most other Views are derived in some way from NewView.

File:ViewOfBox2.png

How to use

  1. Select a part in the 3D window or tree.
  2. If you have multiple drawing pages in your document, you will also need to select the desired page in the tree.
  3. Press the File:Techdraw-view.png View button

Options

None.

Properties

  • ДанныеX: The view's horizontal position on the page. (1)
  • ДанныеY: The view's vertical position on the page. (1)
  • ДанныеScale: A view will be rendered on the page in Scale:1 ratio to the Source. (1)
  • ДанныеScaleType: "Document": use the Page's scale setting. "Custom": use a scale unique to this view. "Automatic": fit view to page. (1)
  • ДанныеRotation: Counterclockwise rotation of the View on the page in degrees. (1)
  • ДанныеSource: The 3D object to be depicted
  • ДанныеDirection: A vector representing the viewing direction.
  • ДанныеShowHiddenLines: Hidden lines on/off.
  • ДанныеShowSmoothLines: Smooth lines on/off.
  • ДанныеShowSeamLines: Seam lines on/off.
  • ДанныеTolerance: Internal tolerance.
  • ДанныеLineWidth: The thickness of visible lines.
  • ДанныеHiddenWidth: The thickness of hidden lines, if enabled.
  • ДанныеShowCenters: Circle/arc center marks on/off.
  • ДанныеCenterScale: Center mark size adjustment, if enabled.
  • ДанныеHorizCenterLine: Show a horizontal centerline through view.
  • ДанныеVertCenterLine: Show a vertical centerline through view.
  • ДанныеShowSectionLine: Show/hide section line if applicable.

(1) these properties are common to all View types.

Scripting

Views can be added to Pages using Python.

view = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewPart','View')
rc = page.addView(view)
FreeCAD.ActiveDocument.View.Source = App.ActiveDocument.Box
FreeCAD.ActiveDocument.View.Direction = (0.0,0.0,1.0)

Notes

  • View will draw anything with a Shape property. You can select Draft objects or Bodies also.
Other languages: